<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.oa.mapper.OaSalaryMasterMapper">

    <resultMap type="com.ruoyi.oa.domain.OaSalaryMaster" id="OaSalaryMasterResult">
        <result property="masterId" column="master_id"/>
        <result property="unitName" column="unit_name"/>
        <result property="salaryPeriod" column="salary_period"/>
        <result property="gmApproval" column="gm_approval"/>
        <result property="financeAudit" column="finance_audit"/>
        <result property="cashier" column="cashier"/>
        <result property="deptManager" column="dept_manager"/>
        <result property="operator" column="operator"/>
        <result property="salaryTemplate" column="salary_template"/>
        <result property="salaryStatus" column="salary_status"/>
        <result property="remark" column="remark"/>
        <result property="createTime" column="create_time"/>
        <result property="createBy" column="create_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="delFlag" column="del_flag"/>
    </resultMap>


</mapper>
